## org.eclipse.datatools.sqltools.sqleditor.internal.actions.selection
Class SQLSelectionFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.actions.selection.SQLSelectionFactory

    public class SQLSelectionFactory

extends java.lang.Object

This is the factory to get text selection policy for executing "execute selected text" action without selection text.

Author:
  sul

Method Summary
`static SQLSelectionFactory` `getInstance()`
`ISQLSelection` `getSQLSelection(SQLEditor editor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SQLSelectionFactory getInstance()

### getSQLSelection

    public ISQLSelection getSQLSelection(SQLEditor editor)